| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::ColorFrame Class Reference

`#include <Frame.hpp>`

Inheritance diagram for ob::ColorFrame:

## Public Member Functions
| ColorFrame (Frame &frame)
| ~ColorFrame () noexcept
Public Member Functions inherited from ob::VideoFrame
| VideoFrame (Frame &frame)
virtual | ~VideoFrame () noexcept
uint32_t | width ()
| Get frame width. More...
uint32_t | height ()
| Get frame height. More...
void * | metadata ()
| Get the metadata of the frame. More...
uint32_t | metadataSize ()
| Get the metadata size of the frame. More...
uint8_t | pixelAvailableBitSize ()
| Get the effective number of pixels (such as Y16 format frame, but only the lower 10 bits are valid bits, and the upper 6 bits are filled with 0) More...
Public Member Functions inherited from ob::Frame
| Frame (std::unique_ptr< FrameImpl > impl)
| Frame (Frame &frame)
virtual | ~Frame () noexcept
virtual OBFrameType | type ()
| Get the type of frame. More...
virtual OBFormat | format ()
| Get the format of the frame. More...
virtual uint64_t | index ()
| Get the sequence number of the frame. More...
virtual void * | data ()
| Get frame data. More...
virtual uint32_t | dataSize ()
| Get the frame data size. More...
uint64_t | timeStamp ()
| Get the hardware timestamp of the frame. More...
uint64_t | timeStampUs ()
| Get the hardware timestamp of the frame us. More...
uint64_t | systemTimeStamp ()
| Get frame system timestamp. More...
template<typename T >
bool | is ()
| Check if the runtime type of the frame object is compatible with a given type. More...
template<typename T >
std::shared_ptr< T > | as ()
| Frame object type conversion. More...

## Additional Inherited Members
Protected Attributes inherited from ob::Frame
std::unique_ptr< FrameImpl > | impl_

## Detailed Description

Definition at line 274 of file Frame.hpp.

## Constructor & Destructor Documentation

ob::ColorFrame::ColorFrame | ( | Frame & | frame | ) |

ob::ColorFrame::~ColorFrame | ( |  | ) |
| inline noexcept

Definition at line 277 of file Frame.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Frame.hpp